This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [Packaging errors] util-linux-2.13.1-1

On Feb 17 01:25, Yaakov (Cygwin Ports) wrote:
> Dr. Volker Zell wrote:
> |   last       conflicts with last   from sysvinit-2.84-4
> This makes sense, but removing it from util-linux will require a
> simultaneous rename of -4 to -5, otherwise /usr/bin/last will go missing
> entirely.

sysvinit has no maintainer for ages.  We should just pull it from the
distro if we don't find a maintainer this week.  We can replace it with
an empty package which has util-linux as dependency.

> |   logger     conflicts with logger from inetutils-1.3.2-37
> Looking into this, Debian, Ubuntu, and LFS defer /usr/bin/logger to
> util-linux.  Also, inetutils-1.3 is ANCIENT, but I understand that there
> are probably a lot of cygwin-specific patches involved.  Any input from
> the inetutils maintainer? (Corinna?)

I won't update inetutils anymore, except for tiny fixes and packaging
stuff.  Actually I'd rather OBSOLETE it entirely.  syslogd is replaced
by syslog-ng and all other tools in inetutils are security holes all in
itself.  Barring that, I could create a new inetutils package which
doesn't install logger.  Logger has not even a single Cygwin specific
patch in it.

So, here's the choice:

1. Remove logger from inetutils.
2. Remove inetutils from the distro.
3. Another maintainer creates a new inetutils package using the latest
   upstream sources.


Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]